package com.docus.server.archive.mapper;


import com.docus.server.archive.entity.PowerUser;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface PowerUserMapper {


    List<PowerUser> list();

    /**
     * 根据用户工号查询用户信息
     *
     * @param userNames 用户工号集合
     * @return 用户信息
     */
    List<PowerUser> findByUserNames(@Param("userNames") List<String> userNames);

    int insertBatch(@Param("userList") List<PowerUser> userList);

    int updateBatch(@Param("userList") List<PowerUser> userList);
}
